"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ensureWindows = exports.isAdded = exports.isDeleted = exports.toFilenames = void 0;
/*
 * Copyright (c) 2023, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const node_path_1 = __importDefault(require("node:path"));
const localShadowRepo_1 = require("./localShadowRepo");
const localShadowRepo_2 = require("./localShadowRepo");
// filenames were normalized when read from isogit
const toFilenames = (rows) => rows.map((row) => row[localShadowRepo_2.FILE]);
exports.toFilenames = toFilenames;
const isDeleted = (status) => status[localShadowRepo_1.WORKDIR] === 0;
exports.isDeleted = isDeleted;
const isAdded = (status) => status[localShadowRepo_1.HEAD] === 0 && status[localShadowRepo_1.WORKDIR] === 2;
exports.isAdded = isAdded;
const ensureWindows = (filepath) => node_path_1.default.win32.normalize(filepath);
exports.ensureWindows = ensureWindows;
//# sourceMappingURL=functions.js.map